## yelp 3.36.2

=== debian/changelog ===
yelp (3.36.2-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: arbitrary script execution
    - debian/patches/CVE-2025-3155.patch: use a nonce in
      data/xslt/mal2html.xsl.in, data/xslt/man2html.xsl.in,
      data/xslt/yelp-common.xsl.in, libyelp/yelp-transform.c,
      libyelp/yelp-view.c.
    - CVE-2025-3155

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Apr 2025 11:26:44 -0400

yelp (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1922729)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Apr 2021 15:20:45 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: yelp
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               autoconf-archive,
               debhelper-compat (= 12),
               gnome-pkg-tools (>= 0.10),
               docbook-to-man,
               itstool (>= 1.2.0),
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc,
               libglib2.0-dev (>= 2.38.0),
               libgtk-3-dev (>= 3.13.3),
               libxml2-dev (>= 2.6.5),
               libxslt1-dev (>= 1.1.4),
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev (>= 4.9),
               libwebkit2gtk-4.0-dev (>= 2.19.2),
               libsqlite3-dev,
               yelp-xsl (>= 3.27.1)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/yelp
Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git
Homepage: https://wiki.gnome.org/Apps/Yelp

Package: yelp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libyelp0 (= ${binary:Version}),
         python3-distro,
         yelp-xsl (>= 3.27.1),
         man-db (>= 2.5.1-1)
Recommends: docbook-xml, ${fonts:Recommends}
Description: Help browser for GNOME
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.

Package: libyelp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for the GNOME help browser
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This library contains widgets and utilities for use by Yelp.

Package: libyelp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libyelp0 (= ${binary:Version}),
         libgtk-3-dev,
         libwebkit2gtk-4.0-dev (>= 2.19.2),
         libxml2-dev (>= 2.6.5),
         libxslt1-dev (>= 1.1.4)
Description: Library for the GNOME help browser (development)
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This package contains the development files for the libyelp library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/yelp.1

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_auto_build:
	dh_auto_build
	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/yelp/ -- -c4

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Ubuntu uses other fonts
override_dh_gencontrol:
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vfonts:Recommends='fonts-dejavu'
else
	dh_gencontrol
endif

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+)/ \
	@PACKAGE@-([\d\.]+)\.tar\.xz

## yelp 3.36.2-linuxmint1+uma

=== debian/changelog ===
yelp (3.36.2-linuxmint1+uma) uma; urgency=medium

  * Use CSD

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Jun 2021 15:07:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+
+CFLAGS += -Wno-error
 
 %:
 	dh $@ --with gnome

## yelp 3.38.1

=== debian/changelog ===
yelp (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 10:29:30 +0200

yelp (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:43:37 +0200

yelp (3.37.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 12:38:37 +0200

## yelp 3.38.3

=== debian/changelog ===
yelp (3.38.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Feb 2021 11:37:06 +0100

yelp (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/upstream/metadata: Add
  * Add a Lintian override for gtk-doc documentation (see #970275)
  * Standards-Version: 4.5.1 (no changes required)
  * Set Rules-Requires-Root to no
  * d/tests: Add a superficial compile/link/run autopkgtest

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Nov 2020 15:59:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: yelp
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                autoconf-archive,
@@ -27,7 +26,8 @@
                libwebkit2gtk-4.0-dev (>= 2.19.2),
                libsqlite3-dev,
                yelp-xsl (>= 3.27.1)
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/yelp
 Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git
 Homepage: https://wiki.gnome.org/Apps/Yelp

## yelp 3.38.3+mint1+elsie

=== debian/changelog ===
yelp (3.38.3+mint1+elsie) elsie; urgency=medium

  * Use CSD

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Jan 2022 16:16:54 +0000

## yelp 40.stable

=== debian/changelog ===
yelp (40.stable-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:27:24 +0200

yelp (40.stable-1) experimental; urgency=medium

  * New upstream release, hacked version to be newer...

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 20:41:19 +0100

yelp (40.beta-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 10:17:13 +0100

## yelp 42.1

=== debian/changelog ===
yelp (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 08:21:00 -0400

yelp (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:43:27 -0400

yelp (42~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 12:20:39 -0500

yelp (42~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/yelp-dev.install: The gtk-doc docs are no longer installed
  * debian/control.in: Build-Depend on libhandy-1-dev

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 09:49:40 -0500

yelp (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Dec 2021 03:57:12 -0500

yelp (41.1-1) unstable; urgency=medium

  * New upstream release
  * Drop AppStream patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Sep 2021 18:54:28 -0400

yelp (41.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix AppStream metadata validation

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Sep 2021 17:26:52 -0400

yelp (41.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 18:37:12 -0400

yelp (41~beta2-2) unstable; urgency=medium

  * debian/control.in: Lower yelp-xsl dependency to 41~

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:41:46 -0400

yelp (41~beta2-1) unstable; urgency=medium

  * New upstream release
  * Drop appdata update patch: applied in new release
  * debian/rules: Build with webkit2gtk 2.32
  * debian/rules: Simplify a bit
  * debian/libyelp0.symbols: Update
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump minimum glib to 2.67.4 and yelp-xsl to 41

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:30:26 -0400

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                autoconf-archive,
-               debhelper-compat (= 12),
-               gnome-pkg-tools (>= 0.10),
+               debhelper-compat (= 13),
+               dh-sequence-gnome,
                docbook-to-man,
                itstool (>= 1.2.0),
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc,
-               libglib2.0-dev (>= 2.38.0),
+               libhandy-1-dev (>= 1.5.0),
+               libglib2.0-dev (>= 2.67.4),
                libgtk-3-dev (>= 3.13.3),
                libxml2-dev (>= 2.6.5),
                libxslt1-dev (>= 1.1.4),
@@ -25,7 +26,7 @@
                liblzma-dev (>= 4.9),
                libwebkit2gtk-4.0-dev (>= 2.19.2),
                libsqlite3-dev,
-               yelp-xsl (>= 3.27.1)
+               yelp-xsl (>= 41~)
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/yelp
@@ -38,7 +39,7 @@
          ${misc:Depends},
          libyelp0 (= ${binary:Version}),
          python3-distro,
-         yelp-xsl (>= 3.27.1),
+         yelp-xsl (>= 41~),
          man-db (>= 2.5.1-1)
 Recommends: docbook-xml, ${fonts:Recommends}
 Description: Help browser for GNOME

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

execute_after_dh_auto_clean:
	rm -f debian/yelp.1

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --with-webkit2gtk-4-0

execute_after_dh_auto_build:
	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/yelp/ -- -c4

execute_before_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete

# Ubuntu uses other fonts
override_dh_gencontrol:
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vfonts:Recommends='fonts-dejavu'
else
	dh_gencontrol
endif

## yelp 42.2

=== debian/changelog ===
yelp (42.2-2) unstable; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Update lintian override info to new format
  * Update standards version to 4.7.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 14:16:20 -0500

yelp (42.2-1) unstable; urgency=medium

  * New upstream release
  * debian/yelp.docs: README -> README.md
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:48:14 -0400

yelp (42.1-2) unstable; urgency=medium

  * Build against webkit2gtk 4.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 15:59:15 -0400

=== debian/control ===
Source: yelp
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               appstream-util,
               autoconf-archive,
               docbook-to-man,
               gtk-doc-tools,
               itstool (>= 1.2.0),
               libbz2-dev,
               libglib2.0-dev (>= 2.67.4),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.13.3),
               libgtk-3-doc,
               libhandy-1-dev (>= 1.5.0),
               liblzma-dev (>= 4.9),
               libsqlite3-dev,
               libwebkit2gtk-4.1-dev,
               libxml2-dev (>= 2.6.5),
               libxslt1-dev (>= 1.1.4),
               yelp-xsl (>= 41~),
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/yelp
Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git
Homepage: https://wiki.gnome.org/Apps/Yelp

Package: yelp
Architecture: any
Depends: libyelp0 (= ${binary:Version}),
         man-db (>= 2.5.1-1),
         python3-distro,
         yelp-xsl (>= 41~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: docbook-xml, ${fonts:Recommends}
Description: Help browser for GNOME
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.

Package: libyelp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for the GNOME help browser
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This library contains widgets and utilities for use by Yelp.

Package: libyelp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgtk-3-dev,
         libwebkit2gtk-4.1-dev,
         libxml2-dev (>= 2.6.5),
         libxslt1-dev (>= 1.1.4),
         libyelp0 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for the GNOME help browser (development)
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This package contains the development files for the libyelp library.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f debian/yelp.1
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc --with-webkit2gtk-4-0
+	dh_auto_configure -- --enable-gtk-doc
 
 execute_after_dh_auto_build:
 	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1
@@ -29,3 +29,5 @@
 else
 	dh_gencontrol
 endif
+
+override_dh_gnome_clean:

## yelp 42.3

=== meson_options.txt ===
option('lzma',
       type : 'feature',
       value : 'auto',
       description : 'build with liblzma decoder support')

option('bzip2',
       type : 'feature',
       value : 'auto',
       description : 'build with bzip2 decoder support')

option('webkit2gtk-4-0',
       type : 'boolean',
       value : false,
       description : 'build against webkit2gtk-4.0 instead of webkit2gtk-4.1')

=== debian/changelog ===
yelp (42.3-3ubuntu1) questing; urgency=medium

  * debian: Update references to 42 debian branch
  * d/p: Migrate to reverse-DNS name in desktop file (related to lp:2120564).
    Do this early so that we can check how this impacts the distro
  * debian: Add a migration script to replace the old desktop file in favorites.
    If an user had yelp in the GNOME shell favorites we do not want to drop
    it, but we should migrate it instead
  * debian: Update references to ubuntu branches
  * debian/control: Use dh-migrations in ubuntu
    user-session-migration is not yet in main, so we should rely on the old
    one (related to lp:2120564)
  * debian/control: Update maintainer

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Aug 2025 19:49:20 +0200

yelp (42.3-3) unstable; urgency=medium

  * debian: Update references to 42 debian branch
  * d/p: Migrate to reverse-DNS name in desktop file.
    Do this early so that we can check how this impacts the distro
  * debian: Add a migration script to replace the old desktop file in favorites.
    If an user had yelp in the GNOME shell favorites we do not want to drop
    it, but we should migrate it instead

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Aug 2025 19:44:57 +0200

yelp (42.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:31:36 -0400

yelp (42.3-1) experimental; urgency=medium

  * Team upload
  * d/copyright: m4/ is no longer shipped upstream, no need to exclude it
  * New upstream release
  * d/p/CVE-2025-3155.patch: Drop patch, applied upstream
  * d/patches: Drop unapplied patches.
    02_man-utf8.patch hasn't been applied since 2011, and
    04_use_doc-base.patch hasn't been applied since 2009.
  * d/copyright: Add more copyright holders and licenses
  * d/control: Build-depend on meson, not autoconf-archive
  * d/control: (Build-)Depend on newer yelp-xsl as per meson.build
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Use dpkg-build-api v1 instead of Rules-Requires-Root
  * d/rules: Update build options for Meson
  * d/libyelp-dev.lintian-overrides: Remove obsolete override
  * Upload to experimental for now, since trixie is frozen but not yet
    released and this update is intended for inclusion in forky

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Jul 2025 16:29:00 +0100

yelp (42.2-4) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 08:17:44 -0400

yelp (42.2-3) unstable; urgency=high

  [ Marc Deslauriers ]
  * SECURITY UPDATE: arbitrary script execution
    - debian/patches/CVE-2025-3155.patch: use a nonce in
      data/xslt/mal2html.xsl.in, data/xslt/man2html.xsl.in,
      data/xslt/yelp-common.xsl.in, libyelp/yelp-transform.c,
      libyelp/yelp-view.c.
    - CVE-2025-3155 (Closes: #1102080)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 23 Apr 2025 12:17:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: yelp
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
+               dh-sequence-migrations,
+               dpkg-build-api (= 1),
                appstream-util,
-               autoconf-archive,
                docbook-to-man,
                gtk-doc-tools,
                itstool (>= 1.2.0),
@@ -22,20 +24,22 @@
                libwebkit2gtk-4.1-dev,
                libxml2-dev (>= 2.6.5),
                libxslt1-dev (>= 1.1.4),
-               yelp-xsl (>= 41~),
+               meson (>= 1.3),
+               yelp-xsl (>= 42.3~),
                zlib1g-dev
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/yelp
-Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git
-Homepage: https://wiki.gnome.org/Apps/Yelp
+Standards-Version: 4.7.2
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/yelp/tree/debian/42.x
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git -b debian/42.x
+Vcs-Browser: https://salsa.debian.org/gnome-team/yelp/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git -b ubuntu/latest
+Homepage: https://apps.gnome.org/Yelp/
 
 Package: yelp
 Architecture: any
 Depends: libyelp0 (= ${binary:Version}),
          man-db (>= 2.5.1-1),
          python3-distro,
-         yelp-xsl (>= 41~),
+         yelp-xsl (>= 42.3~),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: docbook-xml, ${fonts:Recommends}

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f debian/yelp.1
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc
+	dh_auto_configure -- --auto-features=enabled
 
 execute_after_dh_auto_build:
 	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1

## yelp 49~rc

=== meson_options.txt ===
option('lzma',
       type : 'feature',
       value : 'auto',
       description : 'build with liblzma decoder support')

option('bzip2',
       type : 'feature',
       value : 'auto',
       description : 'build with bzip2 decoder support')

=== debian/changelog ===
yelp (49~rc-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/control: Bump dependencies
  * debian/libyelp0.install: Update process extensions install path
  * debian/libyelp0.symbols: Update
  * debian/control: Update libyelp-dev dependencies

  [ Jeremy Bícha ]
  * New upstream release
  * Rename libyelp0 to libyelp-1-0 to match soname bump
  * debian/libyelp-dev.install: install new pkgconfig file
  * debian/rules: simplify a bit
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 18:06:11 -0400

## yelp 49.0

=== debian/changelog ===
yelp (49.0-4) unstable; urgency=medium

  * Team upload.
  * Drop unneeded dependency on appstream-util

 -- Matthias Klumpp <mak@debian.org>  Mon, 27 Oct 2025 00:48:16 +0100

yelp (49.0-3) unstable; urgency=medium

  * Add explicit Depends: python3:any to satify lintian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 19:16:44 -0400

yelp (49.0-2) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian: Add a migration script to replace the old desktop file in favorites

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 18:26:15 -0400

yelp (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 15:46:38 -0400

=== debian/control ===
Source: yelp
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               dh-sequence-user-session-migration,
               dpkg-build-api (= 1),
               appstream,
               desktop-file-utils,
               docbook-to-man,
               gtk-doc-tools,
               itstool (>= 1.2.0),
               libadwaita-1-dev (>= 1.6.0),
               libbz2-dev,
               libglib2.0-bin,
               libglib2.0-dev (>= 2.67.4),
               libgtk-4-dev (>= 4.16.0),
               liblzma-dev (>= 4.9),
               libsqlite3-dev,
               libwebkitgtk-6.0-dev,
               libxml2-dev (>= 2.6.5),
               libxslt1-dev (>= 1.1.4),
               meson (>= 1.3),
               yelp-xsl (>= 42.3~),
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/yelp
Vcs-Git: https://salsa.debian.org/gnome-team/yelp.git
Homepage: https://apps.gnome.org/Yelp/

Package: yelp
Architecture: any
Depends: libyelp-1-0 (= ${binary:Version}),
         man-db (>= 2.5.1-1),
         python3:any,
         python3-distro,
         yelp-xsl (>= 42.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: docbook-xml, ${fonts:Recommends}
Description: Help browser for GNOME
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.

Package: libyelp-1-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for the GNOME help browser
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This library contains widgets and utilities for use by Yelp.

Package: libyelp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libadwaita-1-dev (>= 1.6.0),
         libgtk-4-dev (>= 4.16.0),
         libwebkitgtk-6.0-dev,
         libxml2-dev (>= 2.6.5),
         libxslt1-dev (>= 1.1.4),
         libyelp-1-0 (= ${binary:Version}),
         yelp-xsl (>=  42.3),
         ${misc:Depends}
Description: Library for the GNOME help browser (development)
 Yelp is the help browser for the GNOME desktop.  Yelp provides a simple
 graphical interface for viewing DocBook, Mallard, HTML, man, and info
 formatted documentation.
 .
 This package contains the development files for the libyelp library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 %:
 	dh $@
@@ -16,11 +17,7 @@
 	/usr/bin/docbook-to-man debian/yelp.sgml > debian/yelp.1
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/yelp/ -- -c4
-
-execute_before_dh_install:
-	find debian/tmp -name '*.a' -print -delete
-	find debian/tmp -name '*.la' -print -delete
+	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/yelp-1/
 
 # Ubuntu uses other fonts
 override_dh_gencontrol:

=== debian/tests/control ===
Tests: libyelp-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libyelp-dev, pkg-config
